FUNCTION::USER_STRIN(3stap)

NAME
function::user_string_n_nofault - Retrieves string of given length from user space

SYNOPSIS

    user_string_n_nofault(addr:long,n:long)

ARGUMENTS

addr
    the user space address to retrieve the string from

n
    the maximum length of the string (if not null terminated)

DESCRIPTION

Returns the C string of a maximum given length from a given user space address. Returns the empty string when userspace data is not accessible at the given address.

SEE ALSO
tapset::uconversions(3stap)